clang-tools 10.0.0

Namespaces | Classes | Functions | Variables
clang::tidy::google Namespace Reference

## Namespaces
| build
| objc
| readability
| runtime

## Classes
class | DefaultArgumentsCheck
| Checks that default parameters are not given for virtual methods. More...
class | ExplicitConstructorCheck
| Checks that all single-argument constructors are explicit. More...
class | GoogleModule
class | UpgradeGoogletestCaseCheck
| Finds uses of deprecated Googletest APIs with names containing "case" and replaces them with equivalent names containing "suite". More...

## Functions
static SourceRange | FindToken (const SourceManager &Sources, const LangOptions &LangOpts, SourceLocation StartLoc, SourceLocation EndLoc, bool(*Pred)(const Token &))
static bool | declIsStdInitializerList (const NamedDecl *D)
static bool | isStdInitializerList (QualType Type)
static ClangTidyModuleRegistry::Add< GoogleModule > | X ("google-module", "Adds Google lint checks.")
static llvm::Optional< llvm::StringRef > | getNewMacroName (llvm::StringRef MacroName)
static llvm::StringRef | getNewMethodName (llvm::StringRef CurrentName)
template<typename NodeType >
static bool | isInInstantiation (const NodeType &Node, const MatchFinder::MatchResult &Result)
template<typename NodeType >
static bool | isInTemplate (const NodeType &Node, const MatchFinder::MatchResult &Result)
static bool | derivedTypeHasReplacementMethod (const MatchFinder::MatchResult &Result, llvm::StringRef ReplacementMethod)
static CharSourceRange | getAliasNameRange (const MatchFinder::MatchResult &Result)

## Variables
static const llvm::StringRef | RenameCaseToSuiteMessage

## Function Documentation

## ◆ declIsStdInitializerList()

static bool clang::tidy::google::declIsStdInitializerList | ( | const NamedDecl * | D | ) |
| static

Definition at line 66 of file ExplicitConstructorCheck.cpp.

Referenced by isStdInitializerList().

## ◆ derivedTypeHasReplacementMethod()

static bool clang::tidy::google::derivedTypeHasReplacementMethod | ( | const MatchFinder::MatchResult & | Result,
|  | llvm::StringRef | ReplacementMethod
| ) |  |
| static

Definition at line 242 of file UpgradeGoogletestCaseCheck.cpp.

## ◆ FindToken()

static SourceRange clang::tidy::google::FindToken | ( | const SourceManager & | Sources,
|  | const LangOptions & | LangOpts,
|  | SourceLocation | StartLoc,
|  | SourceLocation | EndLoc,
|  | bool(*)(const Token &) | Pred
| ) |  |
| static

Definition at line 42 of file ExplicitConstructorCheck.cpp.

## ◆ getAliasNameRange()

static CharSourceRange clang::tidy::google::getAliasNameRange | ( | const MatchFinder::MatchResult & | Result | ) |
| static

Definition at line 254 of file UpgradeGoogletestCaseCheck.cpp.

## ◆ getNewMacroName()

static llvm::Optional<llvm::StringRef> clang::tidy::google::getNewMacroName | ( | llvm::StringRef | MacroName | ) |
| static

Definition at line 24 of file UpgradeGoogletestCaseCheck.cpp.

## ◆ getNewMethodName()

static llvm::StringRef clang::tidy::google::getNewMethodName | ( | llvm::StringRef | CurrentName | ) |
| static

Definition at line 205 of file UpgradeGoogletestCaseCheck.cpp.

## ◆ isInInstantiation()

template<typename NodeType >

static bool clang::tidy::google::isInInstantiation | ( | const NodeType & | Node,
|  | const MatchFinder::MatchResult & | Result
| ) |  |
| static

Definition at line 228 of file UpgradeGoogletestCaseCheck.cpp.

## ◆ isInTemplate()

template<typename NodeType >

static bool clang::tidy::google::isInTemplate | ( | const NodeType & | Node,
|  | const MatchFinder::MatchResult & | Result
| ) |  |
| static

Definition at line 234 of file UpgradeGoogletestCaseCheck.cpp.

## ◆ isStdInitializerList()

static bool clang::tidy::google::isStdInitializerList | ( | QualType | Type | ) |
| static

Definition at line 73 of file ExplicitConstructorCheck.cpp.

References declIsStdInitializerList().

## ◆ X()

static ClangTidyModuleRegistry::Add<GoogleModule> clang::tidy::google::X | ( | "google-module" | ,
|  | "Adds Google lint checks." |
| ) |  |
| static

## Variable Documentation

## ◆ RenameCaseToSuiteMessage

const llvm::StringRef clang::tidy::google::RenameCaseToSuiteMessage
| static

Initial value:
=
"Google Test APIs named with 'case' are deprecated; use equivalent APIs "
"named with 'suite'"

Definition at line 19 of file UpgradeGoogletestCaseCheck.cpp.